package ${basePackage}.action.ajax.system;

import org.springframework.beans.factory.annotation.Autowired;
import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.VisitorResManager;
import ${basePackage}.module.system.req.VisitorResCreateRequest;
import ${basePackage}.module.system.req.VisitorResDeleteRequest;
import ${basePackage}.module.system.req.VisitorResFindRequest;
import ${basePackage}.module.system.req.VisitorResUpdateRequest;
import ${basePackage}.module.system.rsp.VisitorResCreateResponse;
import ${basePackage}.module.system.rsp.VisitorResDeleteResponse;
import ${basePackage}.module.system.rsp.VisitorResFindResponse;
import ${basePackage}.module.system.rsp.VisitorResUpdateResponse;

public class VisitorResAjax{

    @Autowired
    private VisitorResManager visitorResManager;

    public VisitorResCreateResponse create(VisitorResCreateRequest request) {
        return visitorResManager.create(request, LocalData.getToken());
    }

    public VisitorResDeleteResponse delete(VisitorResDeleteRequest request) {
        return visitorResManager.delete(request, LocalData.getToken());
    }

    public VisitorResUpdateResponse update(VisitorResUpdateRequest request) {
        return visitorResManager.update(request, LocalData.getToken());
    }

    public VisitorResFindResponse find(VisitorResFindRequest request) {
        return visitorResManager.find(request, LocalData.getToken());
    }
}
